<?php
// Custom Functions (all must be prefaced with component name (e.g. function compname_functionname())
if(!function_exists("expandable_text_getYesNoDD")){
	function expandable_text_getYesNoDD($nFieldID,$nCurrentFieldValue){
		// create dropdown select field
		$nHTML = "";
		$nDDValues = array();
		$nDDValues["0"] = "No";
		$nDDValues["1"] = "Yes";
		foreach($nDDValues AS $nFldID => $nFldVal){
			if($nFldID==$nCurrentFieldValue){ $nHTML.="<option value=\"$nFldID\" selected>$nFldVal</option>"; } else { $nHTML.="<option value=\"$nFldID\">$nFldVal</option>"; }
		}
		$nDDHTML = "<select name=\"$nFieldID\" id=\"$nFieldID\">$nHTML</select>";
		return $nDDHTML;
	}
}
if(!function_exists("expandable_text_showBox")){
	function expandable_text_showBox($nContentARRAY){
		global $nFullSitePath;
		
		$nBoxTitle = $nContentARRAY[1]["nText"];
		$nBoxContent = $nContentARRAY[1]["nTextarea"];
		$nExpanded = $nContentARRAY[2]["nText"];
		$nRandNum = rand();
		
		// setup for display
		$nBoxHTML = $nPaddingClass = "";
		if($nBoxTitle && $nBoxContent){
			if($nExpanded){ $nExpanded = "-"; $nIconText = "-"; } else { $nExpanded = "style=\"display:none;\""; $nIconText = "+"; }
			$nBoxHTML.= "	
<div id=\"$nRandNum\" class=\"expandableTextBox\">
	<div class=\"ETBTitle\" onClick=\"nExpandMe{$nRandNum}();\"><span>$nIconText</span>$nBoxTitle</div>
	<div class=\"ETBContent\" $nExpanded>$nBoxContent</div>
</div>
<script>
function nExpandMe{$nRandNum}(){
	$('#$nRandNum .ETBContent').slideToggle('fast',function(){
		if( $('#$nRandNum .ETBContent').is(':visible')  ){ $('#$nRandNum .ETBTitle SPAN').html('-'); } else { $('#$nRandNum .ETBTitle SPAN').html('+'); }
	});
}
</script>
			";
		}
		
		return $nBoxHTML;
	}
}
?>