<?php
/*
 * This file is part of a larger software package. Please read the License file 
 * in the root of this installation for terms of usage and distribution.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * 
 * CORE: manage/dialog/website_user_type_delete.php - version 1.0
*/

$nAdminOnlyPg = 1;

// Secure and connect
require("../../inc/dbconnect.php");
require("../inc/secure_page.php");

// config
$nPageName = "website_user_type_delete.php";
$nRefreshCall = "runDelete();";

// Get passed-in variables
$nUpdateDB = (isset($_POST["nUpdateDB"]) ? $_POST["nUpdateDB"] : NULL);
$nRecID = (isset($_GET["id"]) ? $_GET["id"] : NULL);
$nWebsiteUsersTypeMoveID = (isset($_POST["nProductsMoveID"]) ? $_POST["nProductsMoveID"] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST["nRecID"]) ? $_POST["nRecID"] : NULL); }

// Error checking for form submission
$nError = "";


if($nRecID){
	// Get information for this record to display
	// Get temp info
	$Query = "SELECT * FROM nWebsiteUserType WHERE nID=$nRecID";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if ($Row = mysql_fetch_array($Result)) {
		$nNameType = stripslashes($Row["nNameType"]);
		$nNameType = str_replace("\"","&quot;",$nNameType);
		$nWebsiteUsersCount = nGetWebsiteUserAmount($nRecID);
	} else {
		$nError = "<li>You have requested a record that does not exist.  Please try again.</li>";
	}
	$nRefreshCall.= "";
} else { exit("<div align=\"center\" style=\"padding:20px;\">No record available. Invalid ID.</div>"); }

if($nUpdateDB){
	if($nRecID && !$nError){
		// Move users from one type to another
		if($nWebsiteUsersTypeMoveID!="0") {
			$Query = "UPDATE nWebsiteUser SET nWebsiteUserTypeID='$nWebsiteUsersTypeMoveID' WHERE nWebsiteUserTypeID=$nRecID";
			mysql_select_db($DBName); mysql_query($Query, $Link);
		}
		// Remove record
		$Query = "DELETE FROM nWebsiteUserType WHERE nID=$nRecID LIMIT 1";
		mysql_select_db($DBName); mysql_query($Query, $Link);
		// Optmization
		$nSQL = "OPTIMIZE TABLE nWebsiteUserType";
		mysql_select_db($DBName); mysql_query($nSQL, $Link);
		
		// log system event
		$nSystemEventDesc = "Website user type deleted (ID#$nRecID): <strong>$nNameType</strong>";
		$Query = "INSERT INTO nSystemEventLog (nEventTime,nEventDesc,nEditorUser) VALUES ('".date("Y-m-d H:i:s")."','$nSystemEventDesc','$ValidUser')";
		mysql_select_db($DBName); mysql_query($Query, $Link);
		
		// run through system events and replace related active links to text
		$Query = "SELECT nID,nEventDesc FROM nSystemEventLog WHERE nEventDesc LIKE ('%[nWebsiteUserTypeID:$nRecID]%')";
		mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
		while ($Row = mysql_fetch_array($Result)) {
			$nID = $Row["nID"];
			$nEventDesc = $Row["nEventDesc"];
			$nEventDesc = str_replace("[nWebsiteUserTypeID:$nRecID]","$nNameType",$nEventDesc);
			$nSQL = "UPDATE nSystemEventLog SET nEventDesc='$nEventDesc' WHERE nID=$nID";
			mysql_select_db($DBName); mysql_query($nSQL, $Link);
		}
		
		exit();
	}
}
?>
<script>
runDelete = function(){
	try{ nLoadWebsiteUserTypesTable(); }catch(e){}
	dialogDeleteClose();
	dialogClose();
	try{ showNotify('The website user type <strong><?php echo addslashes(stripslashes($nNameType))?></strong> was successfully removed.','done') }catch(e){};
}
</script>
<form action="<?php echo $_SERVER['PHP_SELF']?>" method="post" name="dialogForm" id="dialogForm" onSubmit="return submitFormModal('dialog/<?php echo $nPageName;?>?id=<?php echo $nRecID?>','dialogForm','<?php echo $nRefreshCall;?>');return false;">
	<input type="hidden" name="nUpdateDB" value="1">
	<input type="hidden" name="nRecID" value="<?php echo $nRecID?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="80" align="center" style="padding:10px;">
		
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="58" valign="top" style="padding-right:10px;"><img src="assets/images/icons/question.png" alt="" width="48" height="48" border="0"></td>
			<td class="blueBold" style="padding-right:10px;">
				<p>
				Are you sure you want to permanently delete <strong><?php echo $nNameType?></strong>?<BR><BR>
				<?php if($nWebsiteUsersCount==0){ ?>
					<input type="hidden" name="nProductsMoveID" value="0">
				<?php } else { ?>
					Move this type's users to: <select name="nProductsMoveID" class="contentForm"><?php echo nGetMoveWebsiteUsers($nRecID)?></select>
				<?php } ?>
				</p>
			</td>
		  </tr>
		</table>
		
	</td>
  </tr>
  <tr>
	<td style="padding:10px; text-align:center;">
	<input type="submit" name="nYes" value="Delete" class="button black"> 
	<input type="button" name="nCancel" value="Cancel" class="button" onClick="dialogDeleteClose();">
	</td>
  </tr>
</table>
</form>
<?php
function nGetWebsiteUserAmount($nWebsiteUserTypeID){
	global $DBName, $Link;
	$Query = "SELECT nID FROM nWebsiteUser WHERE nWebsiteUserTypeID=$nWebsiteUserTypeID";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	$nCurrentRecord = 0;
	while ($Row = mysql_fetch_array($Result)) {
		$nCurrentRecord++;
	}
	return $nCurrentRecord;
}
function nGetMoveWebsiteUsers(){
	global $DBName, $Link;
	global $nRecID,$nWebsiteUsersTypeMoveID;
	$nTable = "";
	$Query = "SELECT * FROM nWebsiteUserType";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	while ($Row = mysql_fetch_array($Result)) {
		$nID = $Row["nID"];
		$nNameType = $Row["nNameType"];
		if($nRecID!=$nID) {
			if($nWebsiteUsersTypeMoveID==$nID) {
				$nTable = $nTable."<option value=\"$nID\" SELECTED>$nNameType (".nGetWebsiteUserAmount($nID).")</option>";
			} else {
				$nTable = $nTable."<option value=\"$nID\">$nNameType (".nGetWebsiteUserAmount($nID).")</option>";
			}
		}
	}
	if($nTable==""){ $nTable = "<option value=\"\">No Other Website User Types - Please Add</option>"; }
	return $nTable;
}
?>
<?php
// disconnect from mysql
mysql_close($Link);
?>
